Bug 239492 - up2date install reports package already installed but rpm -q doesnt show package.
up2date install reports package already installed but rpm -q doesnt show pack...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Miroslav Suchý
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 16:44 EDT by David Anderson
Modified: 2012-06-18 16:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 16:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
binary RPM (2.34 MB, application/x-rpm)
2007-05-22 10:46 EDT, David Anderson
no flags Details
src rpm (1.34 MB, application/x-rpm)
2007-05-22 10:47 EDT, David Anderson
no flags Details

  None (edit)
Description David Anderson 2007-05-08 16:44:26 EDT
Description of problem:


Version-Release number of selected component (if applicable):
[root@hal9000-devel ~]# up2date-nox -i numpy

Fetching Obsoletes list for channel: rhel-i386-as-4...

Fetching Obsoletes list for channel: dcs-software-rhel4-x86...

Fetching Obsoletes list for channel: dcs-config-rhel4-x86...

Fetching Obsoletes list for channel: hal-rhel4-x86...

Fetching rpm headers...
########################################

Name                                    Version        Rel     
----------------------------------------------------------
numpy                                   1.0.2          20070501.1.dcs    i386  


Testing package set / solving RPM inter-dependencies...
########################################
There was a fatal RPM error. The message was:
Failed running rpm transaction
[root@hal9000-devel ~]# 


---- /var/log/up2date ----
[Tue May  8 15:38:45 2007] up2date updating login info
[Tue May  8 15:38:45 2007] up2date logging into up2date server
[Tue May  8 15:38:46 2007] up2date successfully retrieved authentication token
from up2date server
[Tue May  8 15:38:46 2007] up2date availablePackageList from network
[Tue May  8 15:38:48 2007] up2date allAvailablePackageList from network
[Tue May  8 15:38:52 2007] up2date installing packages: [] 
[Tue May  8 15:38:52 2007] up2date Failed running rpm transaction - %pre %pro
failure ?.

--- output from rpm -qi numpy -

[root@hal9000-devel ~]# rpm -qi numpy
package numpy is not installed
[root@hal9000-devel ~]# 


--- RPM is in a custom channel assigned to the machine
[root@hal9000-devel ~]# up2date-nox --showall | grep numpy
numpy-1.0.2-20070501.1.dcs.i386
[root@hal9000-devel ~]# 


--- I can also install the rpm by hand, --
[root@hal9000-devel up2date]# up2date-nox --get numpy

Fetching all package list for channel: rhel-i386-as-4...
########################################

Fetching all package list for channel: dcs-software-rhel4-x86...
########################################

Fetching all package list for channel: dcs-config-rhel4-x86...
########################################

Fetching all package list for channel: hal-rhel4-x86...
########################################

Fetching package list for channel: rhel-i386-as-4...
########################################

Fetching package list for channel: dcs-software-rhel4-x86...
########################################

Fetching package list for channel: dcs-config-rhel4-x86...
########################################

Fetching package list for channel: hal-rhel4-x86...
########################################

numpy-1.0.2-20070501.1.dcs.i386.rpm...
########################################
[root@hal9000-devel up2date]# rpm -ivh numpy-1.0.2-20070501.1.dcs.i386.rpm
Preparing...                ########################################### [100%]
   1:numpy                  ########################################### [100%]
[root@hal9000-devel up2date]# rpm -qi numpy
Name        : numpy                        Relocations: /usr 
Version     : 1.0.2                             Vendor: NumPy Developers
<numpy-discussion@lists.sourceforge.net>
Release     : 20070501.1.dcs                Build Date: Tue 01 May 2007 10:38:42
AM CDT
Install Date: Tue 08 May 2007 03:42:08 PM CDT      Build Host:
dcs-lbuild.cs.uiuc.edu
Group       : Development/Libraries         Source RPM:
numpy-1.0.2-20070501.1.dcs.src.rpm
Size        : 8663022                          License: BSD
Signature   : DSA/SHA1, Tue 01 May 2007 10:38:45 AM CDT, Key ID 95b4ea4490a95593
URL         : http://numeric.scipy.org
Summary     : NumPy: array processing for numbers, strings, records, and objects.
Description :
NumPy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays.  NumPy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

There are also basic facilities for discrete fourier transform,
basic linear algebra and random number generation.
[root@hal9000-devel up2date]# 


Unfortunately I have about 600 machines that need this package installed and
dont really have the time to hand install them all.


How reproducible:
I can repeat this, and can provide the RPM source file if neccesary.

Steps to Reproduce:
1. build rpm
2. add to RHN channel
3. run up2date-nox -i numpy
  
Actual results:
up2date says its already installed and exits

Expected results:
package should be installed.
Comment 1 Todd Sanders 2007-05-22 10:37:36 EDT
Please attach both the source and binary versions of the numpy rpm package.
Comment 2 David Anderson 2007-05-22 10:46:56 EDT
Created attachment 155161 [details]
binary RPM
Comment 3 David Anderson 2007-05-22 10:47:24 EDT
Created attachment 155162 [details]
src rpm
Comment 5 Miroslav Suchý 2012-06-18 16:07:06 EDT
Red Hat Enteprise Linux reached end of life. This bug will not be fixed.

If you disagree, please contact Red Hat production support team:

https://www.redhat.com/support/process/production/#howto

Note You need to log in before you can comment on or make changes to this bug.